| bio-0.4.6: A bioinformatics library | Source code | Contents | Index

Bio.Sequence.SFF_name

Synopsis

data ReadName = ReadName {

date :: (Int, Int, Int)
time :: (Int, Int, Int)
region :: Int
x_loc :: Int
y_loc :: Int

}

decodeReadName :: ByteString -> Maybe ReadName
decodeLocation :: ByteString -> Maybe (Int, Int)
decodeDate :: ByteString -> Maybe [Int]
encodeReadName :: ReadName -> ByteString
encodeLocation :: Int -> Int -> ByteString
encodeRegion :: Int -> ByteString
encodeDate :: (Int, Int, Int) -> (Int, Int, Int) -> ByteString
divMods :: Int -> [Int] -> [Int]
decode36 :: ByteString -> Maybe Int
decCh :: Char -> Maybe Int
encode36 :: Int -> ByteString
b36 :: UArray Int Char

Documentation

data ReadName | Source

Read names encode various information, as per this struct.
Constructors

ReadName |

date :: (Int, Int, Int) |
time :: (Int, Int, Int) |
region :: Int |
x_loc :: Int |
y_loc :: Int |

Instances

Show ReadName

decodeReadName :: ByteString -> Maybe ReadName | Source

decodeLocation :: ByteString -> Maybe (Int, Int) | Source

decodeDate :: ByteString -> Maybe [Int] | Source

encodeReadName :: ReadName -> ByteString | Source

encodeLocation :: Int -> Int -> ByteString | Source

encodeRegion :: Int -> ByteString | Source

encodeDate :: (Int, Int, Int) -> (Int, Int, Int) -> ByteString | Source

divMods :: Int -> [Int] -> [Int] | Source

decode36 :: ByteString -> Maybe Int | Source

decCh :: Char -> Maybe Int | Source

encode36 :: Int -> ByteString | Source

b36 :: UArray Int Char | Source

Produced by Haddock version 2.4.2